Bug 14215 - Change the 'delimiter' syspref description to say it applies to more than just Reports
Summary: Change the 'delimiter' syspref description to say it applies to more than jus...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 9892
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-18 15:18 UTC by Tomás Cohen Arazi
Modified: 2016-12-05 21:22 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14215: Change the 'delimiter' syspref description for its wider use (1.26 KB, patch)
2015-06-09 00:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed-off] Bug 14215: Change the 'delimiter' syspref description for its wider use (1.41 KB, patch)
2015-06-09 13:56 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14215: Change the 'delimiter' syspref description for its wider use (1.46 KB, patch)
2015-06-16 16:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2015-05-18 15:18:49 UTC
The 'delimiter' syspref mentions it targets reports exports. But it is used in more places, for example bug 9892 makes the export_borrowers.pl script rely on it.
Comment 1 Katrin Fischer 2015-06-09 00:35:29 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-06-09 13:56:26 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-06-16 16:42:53 UTC
Created attachment 40194 [details] [review]
Bug 14215: Change the 'delimiter' syspref description for its wider use

Patch changes 'report files' to 'CSV files' as there are more
options now for downloading and creating CSV files where this
preference is taken into account.

To test:
- Verify the changed system preference description for
  'delimiter' is correct.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-06-19 14:51:16 UTC
Patch pushed to master.

Thanks Katrina!
Comment 5 Chris Cormack 2015-06-29 09:46:28 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 6 Mason James 2015-07-25 10:40:43 UTC
Pushed to 3.16.x, will be in 3.16.13